import { Ref } from 'vue-demi';
import { Plot as BasePlot } from '@antv/g2plot';
import { HTMLAttributes } from '@vue/runtime-dom';
interface Options {
    [x: string]: any;
}
export interface Plot<C extends Options> extends BasePlot<C> {
    new (container: HTMLElement, config: C): BasePlot<C>;
}
type PickedAttrs = 'class' | 'style';
type Data = Record<string, any>[] | Record<string, any>;
export interface BaseChartProps<C extends Options> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: any;
    data: Data;
    chartRef?: Ref<BasePlot<C> | null>;
    onReady?: (plot: BasePlot<C>) => void;
}
interface ComputedOptions<C extends Options> {
    attrConfig: BaseChartProps<C>;
    chartData: any[];
    chartConfig: C;
}
export interface BaseChartRawBindings<C extends Options> {
    plot: BasePlot<C>;
}
declare const BaseChart: import("@vue/runtime-core").ComponentOptionsBase<Vue$1, import("@vue/composition-api").ShallowUnwrapRef<BaseChartRawBindings<any>> & ComputedOptions<any>, {}, {}, import("@vue/composition-api").ComponentPropsOptions<import("@vue/composition-api").Data>, import("@vue/composition-api").ExtractPropTypes<import("@vue/composition-api").ComponentPropsOptions<import("@vue/composition-api").Data>>, any, any, string, {}, {}, string> & ThisType<import("@vue/runtime-core").CreateComponentPublicInstance<{}, import("@vue/composition-api").ShallowUnwrapRef<BaseChartRawBindings<any>> & ComputedOptions<any>, {}, {}, import("@vue/composition-api").ComponentPropsOptions<import("@vue/composition-api").Data>, import("@vue/composition-api").ExtractPropTypes<import("@vue/composition-api").ComponentPropsOptions<import("@vue/composition-api").Data>>, any, any, Vue$1, {}, false, {}, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
} & {
    P: {};
    B: {};
    D: {};
    C: import("@vue/runtime-core").ComputedOptions;
    M: import("@vue/runtime-core").MethodOptions;
    Defaults: {};
}, {}, import("@vue/composition-api").ShallowUnwrapRef<BaseChartRawBindings<any>> & ComputedOptions<any>, {}, import("@vue/runtime-core").ComputedOptions, import("@vue/runtime-core").MethodOptions & import("@vue/composition-api").ComponentPropsOptions<import("@vue/composition-api").Data>, {}>> & Omit<VueConstructor, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {}, import("@vue/composition-api").ShallowUnwrapRef<BaseChartRawBindings<any>>, ComputedOptions<any>, {}, {}, {}, {}, {}, {} & {}, {
    [x: number]: string;
} | {}, true>);
export default BaseChart;
